﻿@{
    ViewData["Title"] = "Home Page";
}

@model User

<div class="container">
    <div class="row">&nbsp;</div>
    <div class="row">
        <div class="col-2">User:</div>
        <div class="col-4"><b>@Model.UserName</b></div>
        <div class="col-4"><input type="text" id="userInput" value="@Model.UserName" hidden /></div>
    </div>
    <div class="row">
        <div class="col-2">Message to:</div>
        <div class="col-4"><input type="text" id="userTo"/></div>
    </div>
    <div class="row">
        <div class="col-2">Message</div>
        <div class="col-4"><input type="text" id="messageInput" /></div>
    </div>
    <div class="row">&nbsp;</div>
    <div class="row">
        <div class="col-6">
            <input type="button" id="sendButton" value="Send Message" />
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <hr />
    </div>
</div>
<div class="row">
    <div class="col-6">
        <ul id="messagesList"></ul>
    </div>
</div>

<form asp-action="BpmnEditor" id="ModelUploadForm" method="post" class="form-inline text-center">
    <input asp-for="UserName" type="hidden" />
    <input asp-for="ConnectionId" id="ConnectionId" type="hidden"/>
    @Html.AntiForgeryToken()
</form>

<script src="~/lib/microsoft/signalr/dist/browser/signalr.js"></script>
<script src="~/js/chat.js"></script>


